package capitulo04.bloque05;

import static capitulo04.utils.Utils.solicitarStringScanner;

public class Ejercicio03 {
    public static void main(String[] args) {
        String frase = solicitarStringScanner("Introduzca la frase en la que desea buscar la subfrase"),
        subfrase = solicitarStringScanner("Introduzca la substring a buscar");

        int contadorSubStrings = 0;
        for (int i = 0; i < frase.length(); i++) {
            for (int j = 0, clonI = i; j < subfrase.length(); j++, clonI++) {
                if (frase.charAt(clonI) != subfrase.charAt(j)) {
                    break;
                } else if (j == subfrase.length() -1) {
                    contadorSubStrings++;
                }
            }
        }

        System.out.println("La frase: " + frase + "\nContiene " + contadorSubStrings + " veces la substring " + subfrase);

    }
}
